export class Token {
    constructor(public type: string, public value: string) {}
}

export type TokenType = "IDENTIFIER" | "NUMBER" | "OPERATOR" | "SYMBOL" | "STRING";

export interface ASTNode {
    type: string;
    [key: string]: any;
} 